Subject: Re: [Bitcoin-development] Long-term mining incentives

From: Alex Mizrahi <[email-masked]>
Date: Wed, 13 May 2015 13:31:47 +0300

> With POW, a new node only needs to know the genesis block (and network
> rules) to fully determine which of two chains is the strongest.
>

But this matters if a new node has access to the globally strongest chain.
If attacker is able to block connections to legitimate nodes, a new node
will happily accept attacker's chain.

So PoW, by itself, doesn't give strong security guarantees. This problem is
so fundamental people avoid talking about it.

In practice, Bitcoin already embraces "weak subjectivity" e.g. in form of
checkpoints embedded into the source code. So it's hard to take PoW purists
seriously.